Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.pref
Class CalendarPreferences

    java.lang.Object
      portlets.compoze.groupware.pref.AbstractPreferences
          portlets.compoze.groupware.pref.CalendarPreferences

All Implemented Interfaces:
  java.io.Serializable

public class CalendarPreferences
extends AbstractPreferences
implements java.io.Serializable

This class represents the user configurables settings for the 'Calendar' feature. For changes to be committed, the `update` method must be called.

See Also:
  `FeatureGroup.Feature.CALENDAR`, Serialized Form

Nested Class Summary
`static class` | `CalendarPreferences.CalendarView` This class represents the calendar view.
`static class` | `CalendarPreferences.TimeInterval` This class represents the time interval.
`static class` | `CalendarPreferences.WeekStartingDay` This class represents the week starting day.
`static class` | `CalendarPreferences.WorkingHours` This class represents the working hours.

Constructor Summary
`CalendarPreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper, java.lang.String sInstanceLabel)` Constructor.

Method Summary
`CalendarPreferences.CalendarView` | `getCalendarView()` Gets the calendar view.
`CalendarPreferences.TimeInterval` | `getTimeInterval()` Gets the time interval.
`CalendarPreferences.WeekStartingDay` | `getWeekStartingDay()` Gets the week starting day.
`CalendarPreferences.WorkingHours` | `getWorkingHours()` Gets the working hours.
`void` | `setCalendarView(CalendarPreferences.CalendarView calendarView)` Sets the working hours.
`void` | `setTimeInterval(CalendarPreferences.TimeInterval timeInterval)` Sets the time interval.
`void` | `setWeekStartingDay(CalendarPreferences.WeekStartingDay weekStartingDay)` Sets the working hours.
`void` | `setWorkingHours(CalendarPreferences.WorkingHours workingHours)` Sets the working hours.

Methods inherited from class portlets.compoze.groupware.pref.AbstractPreferences
`getInstanceLabel, getPreference, setPreference, setPreference, setPreference, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalendarPreferences

    public CalendarPreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper,
                               java.lang.String sInstanceLabel)
                        throws GroupwareException

  Constructor.

Parameters:
  `userProfileWrapper` - the user profile (may not be `null`)

Method Detail

### getTimeInterval

    public CalendarPreferences.TimeInterval getTimeInterval()

  Gets the time interval.

  Note: In order to make changes to this object, use `setTimeInterval(CalendarPreferences.TimeInterval)`.

  Returns:
    the time interval

### setTimeInterval

    public void setTimeInterval(CalendarPreferences.TimeInterval timeInterval)

  Sets the time interval.

  Parameters:
    `timeInterval` - the time interval (may not be `null`)

### getWorkingHours

    public CalendarPreferences.WorkingHours getWorkingHours()

  Gets the working hours.

  Note: In order to make changes to this object, use `setWorkingHours(CalendarPreferences.WorkingHours)`.

  Returns:
    the working hours

### setWorkingHours

    public void setWorkingHours(CalendarPreferences.WorkingHours workingHours)

  Sets the working hours.

  Parameters:
    `workingHours` - the working hours (may not be `null`)

### getCalendarView

    public CalendarPreferences.CalendarView getCalendarView()

  Gets the calendar view.

  Note: In order to make changes to this object, use `setCalendarView(CalendarPreferences.CalendarView)`.

  Returns:
    the working hours

### setCalendarView

    public void setCalendarView(CalendarPreferences.CalendarView calendarView)

  Sets the working hours.

### getWeekStartingDay

    public CalendarPreferences.WeekStartingDay getWeekStartingDay()

  Gets the week starting day.

  Note: In order to make changes to this object, use `setWeekStartingDay(CalendarPreferences.WeekStartingDay)`.

  Returns:
    the working hours

### setWeekStartingDay

    public void setWeekStartingDay(CalendarPreferences.WeekStartingDay weekStartingDay)

  Sets the working hours.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.